script_name("Animation Manager")
script_author("Grinch_")
script_description("Animation manager for GTA San Andreas")
script_dependencies("imgui")
script_version("1.0")

--Keys
local keys =
{
	menu_key1		= 0xA2,  -- Left Control
	menu_key2 		= 0x41,  -- T
}

-- Script Dependencies
local imgui       = require 'imgui'

local tmain =
{
	window         = imgui.ImBool(false),
	current_btn    = 1,
	loop		   = imgui.ImBool(false),
	secondary      = imgui.ImBool(false),
	search_text    = imgui.ImBuffer(24),
	ifp_name       = imgui.ImBuffer(24),
	animation_name = imgui.ImBuffer(24),
}


local animations = {
    "AIRPORT$thrw_barl_thrw",
    "ATTRACTORS$Stepsit_in",
    "ATTRACTORS$Stepsit_loop",
    "ATTRACTORS$Stepsit_out",
    "BAR$Barcustom_get",
    "BAR$Barcustom_loop",
    "BAR$Barcustom_order",
    "BAR$BARman_idle",
    "BAR$Barserve_bottle",
    "BAR$Barserve_give",
    "BAR$Barserve_glass",
    "BAR$Barserve_in",
    "BAR$Barserve_loop",
    "BAR$Barserve_order",
    "BAR$dnk_stndF_loop",
    "BAR$dnk_stndM_loop",
    "BASEBALL$Bat_1",
    "BASEBALL$Bat_2",
    "BASEBALL$Bat_3",
    "BASEBALL$Bat_4",
    "BASEBALL$Bat_block",
    "BASEBALL$Bat_Hit_1",
    "BASEBALL$Bat_Hit_2",
    "BASEBALL$Bat_Hit_3",
    "BASEBALL$Bat_IDLE",
    "BASEBALL$Bat_M",
    "BASEBALL$BAT_PART",
    "BD_FIRE$BD_Fire1",
    "BD_FIRE$BD_Fire2",
    "BD_FIRE$BD_Fire3",
    "BD_FIRE$BD_GF_Wave",
    "BD_FIRE$BD_Panic_01",
    "BD_FIRE$BD_Panic_02",
    "BD_FIRE$BD_Panic_03",
    "BD_FIRE$BD_Panic_04",
    "BD_FIRE$BD_Panic_Loop",
    "BD_FIRE$Grlfrd_Kiss_03",
    "BD_FIRE$M_smklean_loop",
    "BD_FIRE$Playa_Kiss_03",
    "BD_FIRE$wash_up",
    "BEACH$bather",
    "BEACH$Lay_Bac_Loop",
    "BEACH$ParkSit_M_loop",
    "BEACH$ParkSit_W_loop",
    "BEACH$SitnWait_loop_W",
    "BENCHPRESS$gym_bp_celebrate",
    "BENCHPRESS$gym_bp_down",
    "BENCHPRESS$gym_bp_getoff",
    "BENCHPRESS$gym_bp_geton",
    "BENCHPRESS$gym_bp_up_A",
    "BENCHPRESS$gym_bp_up_B",
    "BENCHPRESS$gym_bp_up_smooth",
    "BF_INJECTION$BF_getin_LHS",
    "BF_INJECTION$BF_getin_RHS",
    "BF_INJECTION$BF_getout_LHS",
    "BF_INJECTION$BF_getout_RHS",
    "BIKED$BIKEd_Back",
    "BIKED$BIKEd_drivebyFT",
    "BIKED$BIKEd_drivebyLHS",
    "BIKED$BIKEd_drivebyRHS",
    "BIKED$BIKEd_Fwd",
    "BIKED$BIKEd_getoffBACK",
    "BIKED$BIKEd_getoffLHS",
    "BIKED$BIKEd_getoffRHS",
    "BIKED$BIKEd_hit",
    "BIKED$BIKEd_jumponL",
    "BIKED$BIKEd_jumponR",
    "BIKED$BIKEd_kick",
    "BIKED$BIKEd_Left",
    "BIKED$BIKEd_passenger",
    "BIKED$BIKEd_pushes",
    "BIKED$BIKEd_Ride",
    "BIKED$BIKEd_Right",
    "BIKED$BIKEd_shuffle",
    "BIKED$BIKEd_Still",
    "BIKEH$BIKEh_Back",
    "BIKEH$BIKEh_drivebyFT",
    "BIKEH$BIKEh_drivebyLHS",
    "BIKEH$BIKEh_drivebyRHS",
    "BIKEH$BIKEh_Fwd",
    "BIKEH$BIKEh_getoffBACK",
    "BIKEH$BIKEh_getoffLHS",
    "BIKEH$BIKEh_getoffRHS",
    "BIKEH$BIKEh_hit",
    "BIKEH$BIKEh_jumponL",
    "BIKEH$BIKEh_jumponR",
    "BIKEH$BIKEh_kick",
    "BIKEH$BIKEh_Left",
    "BIKEH$BIKEh_passenger",
    "BIKEH$BIKEh_pushes",
    "BIKEH$BIKEh_Ride",
    "BIKEH$BIKEh_Right",
    "BIKEH$BIKEh_Still",
    "BIKELEAP$bk_blnce_in",
    "BIKELEAP$bk_blnce_out",
    "BIKELEAP$bk_jmp",
    "BIKELEAP$bk_rdy_in",
    "BIKELEAP$bk_rdy_out",
    "BIKELEAP$struggle_cesar",
    "BIKELEAP$struggle_driver",
    "BIKELEAP$truck_driver",
    "BIKELEAP$truck_getin",
    "BIKES$BIKEs_Back",
    "BIKES$BIKEs_drivebyFT",
    "BIKES$BIKEs_drivebyLHS",
    "BIKES$BIKEs_drivebyRHS",
    "BIKES$BIKEs_Fwd",
    "BIKES$BIKEs_getoffBACK",
    "BIKES$BIKEs_getoffLHS",
    "BIKES$BIKEs_getoffRHS",
    "BIKES$BIKEs_hit",
    "BIKES$BIKEs_jumponL",
    "BIKES$BIKEs_jumponR",
    "BIKES$BIKEs_kick",
    "BIKES$BIKEs_Left",
    "BIKES$BIKEs_passenger",
    "BIKES$BIKEs_pushes",
    "BIKES$BIKEs_Ride",
    "BIKES$BIKEs_Right",
    "BIKES$BIKEs_Snatch_L",
    "BIKES$BIKEs_Snatch_R",
    "BIKES$BIKEs_Still",
    "BIKEV$BIKEv_Back",
    "BIKEV$BIKEv_drivebyFT",
    "BIKEV$BIKEv_drivebyLHS",
    "BIKEV$BIKEv_drivebyRHS",
    "BIKEV$BIKEv_Fwd",
    "BIKEV$BIKEv_getoffBACK",
    "BIKEV$BIKEv_getoffLHS",
    "BIKEV$BIKEv_getoffRHS",
    "BIKEV$BIKEv_hit",
    "BIKEV$BIKEv_jumponL",
    "BIKEV$BIKEv_jumponR",
    "BIKEV$BIKEv_kick",
    "BIKEV$BIKEv_Left",
    "BIKEV$BIKEv_passenger",
    "BIKEV$BIKEv_pushes",
    "BIKEV$BIKEv_Ride",
    "BIKEV$BIKEv_Right",
    "BIKEV$BIKEv_Still",
    "BIKE_DBZ$Pass_Driveby_BWD",
    "BIKE_DBZ$Pass_Driveby_FWD",
    "BIKE_DBZ$Pass_Driveby_LHS",
    "BIKE_DBZ$Pass_Driveby_RHS",
    "BLOWJOBZ$BJ_COUCH_START_W",
    "BLOWJOBZ$BJ_COUCH_LOOP_W",
    "BLOWJOBZ$BJ_COUCH_END_W",
    "BLOWJOBZ$BJ_COUCH_START_P",
    "BLOWJOBZ$BJ_COUCH_LOOP_P",
    "BLOWJOBZ$BJ_COUCH_END_P",
    "BLOWJOBZ$BJ_STAND_START_W",
    "BLOWJOBZ$BJ_STAND_LOOP_W",
    "BLOWJOBZ$BJ_STAND_END_W",
    "BLOWJOBZ$BJ_STAND_START_P",
    "BLOWJOBZ$BJ_STAND_LOOP_P",
    "BLOWJOBZ$BJ_STAND_END_P",
    "BMX$BMX_back",
    "BMX$BMX_bunnyhop",
    "BMX$BMX_drivebyFT",
    "BMX$BMX_driveby_LHS",
    "BMX$BMX_driveby_RHS",
    "BMX$BMX_fwd",
    "BMX$BMX_getoffBACK",
    "BMX$BMX_getoffLHS",
    "BMX$BMX_getoffRHS",
    "BMX$BMX_jumponL",
    "BMX$BMX_jumponR",
    "BMX$BMX_Left",
    "BMX$BMX_pedal",
    "BMX$BMX_pushes",
    "BMX$BMX_Ride",
    "BMX$BMX_Right",
    "BMX$BMX_sprint",
    "BMX$BMX_still",
    "BOMBER$BOM_Plant",
    "BOMBER$BOM_Plant_2Idle",
    "BOMBER$BOM_Plant_Crouch_In",
    "BOMBER$BOM_Plant_Crouch_Out",
    "BOMBER$BOM_Plant_In",
    "BOMBER$BOM_Plant_Loop",
    "BOX$boxhipin",
    "BOX$boxhipup",
    "BOX$boxshdwn",
    "BOX$boxshup",
    "BOX$bxhipwlk",
    "BOX$bxhwlki",
    "BOX$bxshwlk",
    "BOX$bxshwlki",
    "BOX$bxwlko",
    "BOX$catch_box",
    "BSKTBALL$BBALL_def_jump_shot",
    "BSKTBALL$BBALL_def_loop",
    "BSKTBALL$BBALL_def_stepL",
    "BSKTBALL$BBALL_def_stepR",
    "BSKTBALL$BBALL_Dnk",
    "BSKTBALL$BBALL_Dnk_Gli",
    "BSKTBALL$BBALL_Dnk_Gli_O",
    "BSKTBALL$BBALL_Dnk_Lnch",
    "BSKTBALL$BBALL_Dnk_Lnch_O",
    "BSKTBALL$BBALL_Dnk_Lnd",
    "BSKTBALL$BBALL_Dnk_O",
    "BSKTBALL$BBALL_idle",
    "BSKTBALL$BBALL_idle2",
    "BSKTBALL$BBALL_idle2_O",
    "BSKTBALL$BBALL_idleloop",
    "BSKTBALL$BBALL_idleloop_O",
    "BSKTBALL$BBALL_idle_O",
    "BSKTBALL$BBALL_Jump_Cancel",
    "BSKTBALL$BBALL_Jump_Cancel_O",
    "BSKTBALL$BBALL_Jump_End",
    "BSKTBALL$BBALL_Jump_Shot",
    "BSKTBALL$BBALL_Jump_Shot_O",
    "BSKTBALL$BBALL_Net_Dnk_O",
    "BSKTBALL$BBALL_pickup",
    "BSKTBALL$BBALL_pickup_O",
    "BSKTBALL$BBALL_react_miss",
    "BSKTBALL$BBALL_react_score",
    "BSKTBALL$BBALL_run",
    "BSKTBALL$BBALL_run_O",
    "BSKTBALL$BBALL_SkidStop_L",
    "BSKTBALL$BBALL_SkidStop_L_O",
    "BSKTBALL$BBALL_SkidStop_R",
    "BSKTBALL$BBALL_SkidStop_R_O",
    "BSKTBALL$BBALL_walk",
    "BSKTBALL$BBALL_WalkStop_L",
    "BSKTBALL$BBALL_WalkStop_L_O",
    "BSKTBALL$BBALL_WalkStop_R",
    "BSKTBALL$BBALL_WalkStop_R_O",
    "BSKTBALL$BBALL_walk_O",
    "BSKTBALL$BBALL_walk_start",
    "BSKTBALL$BBALL_walk_start_O",
    "BUDDY$buddy_crouchfire",
    "BUDDY$buddy_crouchreload",
    "BUDDY$buddy_fire",
    "BUDDY$buddy_fire_poor",
    "BUDDY$buddy_reload",
    "BUS$BUS_close",
    "BUS$BUS_getin_LHS",
    "BUS$BUS_getin_RHS",
    "BUS$BUS_getout_LHS",
    "BUS$BUS_getout_RHS",
    "BUS$BUS_jacked_LHS",
    "BUS$BUS_open",
    "BUS$BUS_open_RHS",
    "BUS$BUS_pullout_LHS",
    "CAMERA$camcrch_cmon",
    "CAMERA$camcrch_idleloop",
    "CAMERA$camcrch_stay",
    "CAMERA$camcrch_to_camstnd",
    "CAMERA$camstnd_cmon",
    "CAMERA$camstnd_idleloop",
    "CAMERA$camstnd_lkabt",
    "CAMERA$camstnd_to_camcrch",
    "CAMERA$piccrch_in",
    "CAMERA$piccrch_out",
    "CAMERA$piccrch_take",
    "CAMERA$picstnd_in",
    "CAMERA$picstnd_out",
    "CAMERA$picstnd_take",
    "CAR$Fixn_Car_Loop",
    "CAR$Fixn_Car_Out",
    "CAR$flag_drop",
    "CAR$Sit_relaxed",
    "CAR$Tap_hand",
    "CAR$Tyd2car_bump",
    "CAR$Tyd2car_high",
    "CAR$Tyd2car_low",
    "CAR$Tyd2car_med",
    "CAR$Tyd2car_TurnL",
    "CAR$Tyd2car_TurnR",
    "CARRY$crry_prtial",
    "CARRY$liftup",
    "CARRY$liftup05",
    "CARRY$liftup105",
    "CARRY$putdwn",
    "CARRY$putdwn05",
    "CARRY$putdwn105",
    "CAR_CHAT$carfone_in",
    "CAR_CHAT$carfone_loopA",
    "CAR_CHAT$carfone_loopA_to_B",
    "CAR_CHAT$carfone_loopB",
    "CAR_CHAT$carfone_loopB_to_A",
    "CAR_CHAT$carfone_out",
    "CAR_CHAT$CAR_Sc1_BL",
    "CAR_CHAT$CAR_Sc1_BR",
    "CAR_CHAT$CAR_Sc1_FL",
    "CAR_CHAT$CAR_Sc1_FR",
    "CAR_CHAT$CAR_Sc2_FL",
    "CAR_CHAT$CAR_Sc3_BR",
    "CAR_CHAT$CAR_Sc3_FL",
    "CAR_CHAT$CAR_Sc3_FR",
    "CAR_CHAT$CAR_Sc4_BL",
    "CAR_CHAT$CAR_Sc4_BR",
    "CAR_CHAT$CAR_Sc4_FL",
    "CAR_CHAT$CAR_Sc4_FR",
    "CAR_CHAT$car_talkm_in",
    "CAR_CHAT$car_talkm_loop",
    "CAR_CHAT$car_talkm_out",
    "CASINO$cards_in",
    "CASINO$cards_loop",
    "CASINO$cards_lose",
    "CASINO$cards_out",
    "CASINO$cards_pick_01",
    "CASINO$cards_pick_02",
    "CASINO$cards_raise",
    "CASINO$cards_win",
    "CASINO$dealone",
    "CASINO$manwinb",
    "CASINO$manwind",
    "CASINO$Roulette_bet",
    "CASINO$Roulette_in",
    "CASINO$Roulette_loop",
    "CASINO$Roulette_lose",
    "CASINO$Roulette_out",
    "CASINO$Roulette_win",
    "CASINO$Slot_bet_01",
    "CASINO$Slot_bet_02",
    "CASINO$Slot_in",
    "CASINO$Slot_lose_out",
    "CASINO$Slot_Plyr",
    "CASINO$Slot_wait",
    "CASINO$Slot_win_out",
    "CASINO$wof",
    "CHAINSAW$CSAW_1",
    "CHAINSAW$CSAW_2",
    "CHAINSAW$CSAW_3",
    "CHAINSAW$CSAW_G",
    "CHAINSAW$CSAW_Hit_1",
    "CHAINSAW$CSAW_Hit_2",
    "CHAINSAW$CSAW_Hit_3",
    "CHAINSAW$csaw_part",
    "CHAINSAW$IDLE_csaw",
    "CHAINSAW$WEAPON_csaw",
    "CHAINSAW$WEAPON_csawlo",
    "CHOPPA$CHOPPA_back",
    "CHOPPA$CHOPPA_bunnyhop",
    "CHOPPA$CHOPPA_drivebyFT",
    "CHOPPA$CHOPPA_driveby_LHS",
    "CHOPPA$CHOPPA_driveby_RHS",
    "CHOPPA$CHOPPA_fwd",
    "CHOPPA$CHOPPA_getoffBACK",
    "CHOPPA$CHOPPA_getoffLHS",
    "CHOPPA$CHOPPA_getoffRHS",
    "CHOPPA$CHOPPA_jumponL",
    "CHOPPA$CHOPPA_jumponR",
    "CHOPPA$CHOPPA_Left",
    "CHOPPA$CHOPPA_pedal",
    "CHOPPA$CHOPPA_Pushes",
    "CHOPPA$CHOPPA_ride",
    "CHOPPA$CHOPPA_Right",
    "CHOPPA$CHOPPA_sprint",
    "CHOPPA$CHOPPA_Still",
    "CLOTHES$CLO_Buy",
    "CLOTHES$CLO_In",
    "CLOTHES$CLO_Out",
    "CLOTHES$CLO_Pose_Hat",
    "CLOTHES$CLO_Pose_In",
    "CLOTHES$CLO_Pose_In_O",
    "CLOTHES$CLO_Pose_Legs",
    "CLOTHES$CLO_Pose_Loop",
    "CLOTHES$CLO_Pose_Out",
    "CLOTHES$CLO_Pose_Out_O",
    "CLOTHES$CLO_Pose_Shoes",
    "CLOTHES$CLO_Pose_Torso",
    "CLOTHES$CLO_Pose_Watch",
    "COACH$COACH_inL",
    "COACH$COACH_inR",
    "COACH$COACH_opnL",
    "COACH$COACH_opnR",
    "COACH$COACH_outL",
    "COACH$COACH_outR",
    "COLT45$2guns_crouchfire",
    "COLT45$colt45_crouchfire",
    "COLT45$colt45_crouchreload",
    "COLT45$colt45_fire",
    "COLT45$colt45_fire_2hands",
    "COLT45$colt45_reload",
    "COLT45$sawnoff_reload",
    "COP_AMBIENT$Copbrowse_in",
    "COP_AMBIENT$Copbrowse_loop",
    "COP_AMBIENT$Copbrowse_nod",
    "COP_AMBIENT$Copbrowse_out",
    "COP_AMBIENT$Copbrowse_shake",
    "COP_AMBIENT$Coplook_in",
    "COP_AMBIENT$Coplook_loop",
    "COP_AMBIENT$Coplook_nod",
    "COP_AMBIENT$Coplook_out",
    "COP_AMBIENT$Coplook_shake",
    "COP_AMBIENT$Coplook_think",
    "COP_AMBIENT$Coplook_watch",
    "COP_DVBYZ$COP_Dvby_B",
    "COP_DVBYZ$COP_Dvby_FT",
    "COP_DVBYZ$COP_Dvby_L",
    "COP_DVBYZ$COP_Dvby_R",
    "CRACK$Bbalbat_Idle_01",
    "CRACK$Bbalbat_Idle_02",
    "CRACK$crckdeth1",
    "CRACK$crckdeth2",
    "CRACK$crckdeth3",
    "CRACK$crckdeth4",
    "CRACK$crckidle1",
    "CRACK$crckidle2",
    "CRACK$crckidle3",
    "CRACK$crckidle4",
    "CRIB$CRIB_Console_Loop",
    "CRIB$CRIB_Use_Switch",
    "CRIB$PED_Console_Loop",
    "CRIB$PED_Console_Loose",
    "CRIB$PED_Console_Win",
    "DAM_JUMP$DAM_Dive_Loop",
    "DAM_JUMP$DAM_Land",
    "DAM_JUMP$DAM_Launch",
    "DAM_JUMP$Jump_Roll",
    "DAM_JUMP$SF_JumpWall",
    "DANCING$bd_clap",
    "DANCING$bd_clap1",
    "DANCING$dance_loop",
    "DANCING$DAN_Down_A",
    "DANCING$DAN_Left_A",
    "DANCING$DAN_Loop_A",
    "DANCING$DAN_Right_A",
    "DANCING$DAN_Up_A",
    "DANCING$dnce_M_a",
    "DANCING$dnce_M_b",
    "DANCING$dnce_M_c",
    "DANCING$dnce_M_d",
    "DANCING$dnce_M_e",
    "DEALER$DEALER_DEAL",
    "DEALER$DEALER_IDLE",
    "DEALER$DEALER_IDLE_01",
    "DEALER$DEALER_IDLE_02",
    "DEALER$DEALER_IDLE_03",
    "DEALER$DRUGS_BUY",
    "DEALER$shop_pay",
    "DILDO$DILDO_1",
    "DILDO$DILDO_2",
    "DILDO$DILDO_3",
    "DILDO$DILDO_block",
    "DILDO$DILDO_G",
    "DILDO$DILDO_Hit_1",
    "DILDO$DILDO_Hit_2",
    "DILDO$DILDO_Hit_3",
    "DILDO$DILDO_IDLE",
    "DODGE$Cover_Dive_01",
    "DODGE$Cover_Dive_02",
    "DODGE$Crushed",
    "DODGE$Crush_Jump",
    "DOZER$DOZER_Align_LHS",
    "DOZER$DOZER_Align_RHS",
    "DOZER$DOZER_getin_LHS",
    "DOZER$DOZER_getin_RHS",
    "DOZER$DOZER_getout_LHS",
    "DOZER$DOZER_getout_RHS",
    "DOZER$DOZER_Jacked_LHS",
    "DOZER$DOZER_Jacked_RHS",
    "DOZER$DOZER_pullout_LHS",
    "DOZER$DOZER_pullout_RHS",
    "DRIVEBYS$Gang_DrivebyLHS",
    "DRIVEBYS$Gang_DrivebyLHS_Bwd",
    "DRIVEBYS$Gang_DrivebyLHS_Fwd",
    "DRIVEBYS$Gang_DrivebyRHS",
    "DRIVEBYS$Gang_DrivebyRHS_Bwd",
    "DRIVEBYS$Gang_DrivebyRHS_Fwd",
    "DRIVEBYS$Gang_DrivebyTop_LHS",
    "DRIVEBYS$Gang_DrivebyTop_RHS",
    "FAT$FatIdle",
    "FAT$FatIdle_armed",
    "FAT$FatIdle_Csaw",
    "FAT$FatIdle_Rocket",
    "FAT$FatRun",
    "FAT$FatRun_armed",
    "FAT$FatRun_Csaw",
    "FAT$FatRun_Rocket",
    "FAT$FatSprint",
    "FAT$FatWalk",
    "FAT$FatWalkstart",
    "FAT$FatWalkstart_Csaw",
    "FAT$FatWalkSt_armed",
    "FAT$FatWalkSt_Rocket",
    "FAT$FatWalk_armed",
    "FAT$FatWalk_Csaw",
    "FAT$FatWalk_Rocket",
    "FAT$IDLE_tired",
    "FIGHT_B$FightB_1",
    "FIGHT_B$FightB_2",
    "FIGHT_B$FightB_3",
    "FIGHT_B$FightB_block",
    "FIGHT_B$FightB_G",
    "FIGHT_B$FightB_IDLE",
    "FIGHT_B$FightB_M",
    "FIGHT_B$HitB_1",
    "FIGHT_B$HitB_2",
    "FIGHT_B$HitB_3",
    "FIGHT_C$FightC_1",
    "FIGHT_C$FightC_2",
    "FIGHT_C$FightC_3",
    "FIGHT_C$FightC_block",
    "FIGHT_C$FightC_blocking",
    "FIGHT_C$FightC_G",
    "FIGHT_C$FightC_IDLE",
    "FIGHT_C$FightC_M",
    "FIGHT_C$FightC_Spar",
    "FIGHT_C$HitC_1",
    "FIGHT_C$HitC_2",
    "FIGHT_C$HitC_3",
    "FIGHT_D$FightD_1",
    "FIGHT_D$FightD_2",
    "FIGHT_D$FightD_3",
    "FIGHT_D$FightD_block",
    "FIGHT_D$FightD_G",
    "FIGHT_D$FightD_IDLE",
    "FIGHT_D$FightD_M",
    "FIGHT_D$HitD_1",
    "FIGHT_D$HitD_2",
    "FIGHT_D$HitD_3",
    "FIGHT_E$FightKick",
    "FIGHT_E$FightKick_B",
    "FIGHT_E$Hit_fightkick",
    "FIGHT_E$Hit_fightkick_B",
    "FINALE$FIN_Climb_In",
    "FINALE$FIN_Cop1_ClimbOut2",
    "FINALE$FIN_Cop1_Loop",
    "FINALE$FIN_Cop1_Stomp",
    "FINALE$FIN_Hang_L",
    "FINALE$FIN_Hang_Loop",
    "FINALE$FIN_Hang_R",
    "FINALE$FIN_Hang_Slip",
    "FINALE$FIN_Jump_On",
    "FINALE$FIN_Land_Car",
    "FINALE$FIN_Land_Die",
    "FINALE$FIN_LegsUp",
    "FINALE$FIN_LegsUp_L",
    "FINALE$FIN_LegsUp_Loop",
    "FINALE$FIN_LegsUp_R",
    "FINALE$FIN_Let_Go",
    "FINALE2$FIN_Cop1_ClimbOut",
    "FINALE2$FIN_Cop1_Fall",
    "FINALE2$FIN_Cop1_Loop",
    "FINALE2$FIN_Cop1_Shot",
    "FINALE2$FIN_Cop1_Swing",
    "FINALE2$FIN_Cop2_ClimbOut",
    "FINALE2$FIN_Switch_P",
    "FINALE2$FIN_Switch_S",
    "FLAME$FLAME_fire",
    "Flowers$Flower_attack",
    "Flowers$Flower_attack_M",
    "Flowers$Flower_Hit",
    "FOOD$EAT_Burger",
    "FOOD$EAT_Chicken",
    "FOOD$EAT_Pizza",
    "FOOD$EAT_Vomit_P",
    "FOOD$EAT_Vomit_SK",
    "FOOD$FF_Dam_Bkw",
    "FOOD$FF_Dam_Fwd",
    "FOOD$FF_Dam_Left",
    "FOOD$FF_Dam_Right",
    "FOOD$FF_Die_Bkw",
    "FOOD$FF_Die_Fwd",
    "FOOD$FF_Die_Left",
    "FOOD$FF_Die_Right",
    "FOOD$FF_Sit_Eat1",
    "FOOD$FF_Sit_Eat2",
    "FOOD$FF_Sit_Eat3",
    "FOOD$FF_Sit_In",
    "FOOD$FF_Sit_In_L",
    "FOOD$FF_Sit_In_R",
    "FOOD$FF_Sit_Look",
    "FOOD$FF_Sit_Loop",
    "FOOD$FF_Sit_Out_180",
    "FOOD$FF_Sit_Out_L_180",
    "FOOD$FF_Sit_Out_R_180",
    "FOOD$SHP_Thank",
    "FOOD$SHP_Tray_In",
    "FOOD$SHP_Tray_Lift",
    "FOOD$SHP_Tray_Lift_In",
    "FOOD$SHP_Tray_Lift_Loop",
    "FOOD$SHP_Tray_Lift_Out",
    "FOOD$SHP_Tray_Out",
    "FOOD$SHP_Tray_Pose",
    "FOOD$SHP_Tray_Return",
    "FREEWEIGHTS$gym_barbell",
    "FREEWEIGHTS$gym_free_A",
    "FREEWEIGHTS$gym_free_B",
    "FREEWEIGHTS$gym_free_celebrate",
    "FREEWEIGHTS$gym_free_down",
    "FREEWEIGHTS$gym_free_loop",
    "FREEWEIGHTS$gym_free_pickup",
    "FREEWEIGHTS$gym_free_putdown",
    "FREEWEIGHTS$gym_free_up_smooth",
    "GANGS$DEALER_DEAL",
    "GANGS$DEALER_IDLE",
    "GANGS$drnkbr_prtl",
    "GANGS$drnkbr_prtl_F",
    "GANGS$DRUGS_BUY",
    "GANGS$hndshkaa",
    "GANGS$hndshkba",
    "GANGS$hndshkca",
    "GANGS$hndshkcb",
    "GANGS$hndshkda",
    "GANGS$hndshkea",
    "GANGS$hndshkfa",
    "GANGS$hndshkfa_swt",
    "GANGS$Invite_No",
    "GANGS$Invite_Yes",
    "GANGS$leanIDLE",
    "GANGS$leanIN",
    "GANGS$leanOUT",
    "GANGS$prtial_gngtlkA",
    "GANGS$prtial_gngtlkB",
    "GANGS$prtial_gngtlkC",
    "GANGS$prtial_gngtlkD",
    "GANGS$prtial_gngtlkE",
    "GANGS$prtial_gngtlkF",
    "GANGS$prtial_gngtlkG",
    "GANGS$prtial_gngtlkH",
    "GANGS$prtial_hndshk_01",
    "GANGS$prtial_hndshk_biz_01",
    "GANGS$shake_cara",
    "GANGS$shake_carK",
    "GANGS$shake_carSH",
    "GANGS$smkcig_prtl",
    "GANGS$smkcig_prtl_F",
    "GHANDS$gsign1",
    "GHANDS$gsign1LH",
    "GHANDS$gsign2",
    "GHANDS$gsign2LH",
    "GHANDS$gsign3",
    "GHANDS$gsign3LH",
    "GHANDS$gsign4",
    "GHANDS$gsign4LH",
    "GHANDS$gsign5",
    "GHANDS$gsign5LH",
    "GHANDS$LHGsign1",
    "GHANDS$LHGsign2",
    "GHANDS$LHGsign3",
    "GHANDS$LHGsign4",
    "GHANDS$LHGsign5",
    "GHANDS$RHGsign1",
    "GHANDS$RHGsign2",
    "GHANDS$RHGsign3",
    "GHANDS$RHGsign4",
    "GHANDS$RHGsign5",
    "GHETTO_DB$GDB_Car2_PLY",
    "GHETTO_DB$GDB_Car2_SMO",
    "GHETTO_DB$GDB_Car2_SWE",
    "GHETTO_DB$GDB_Car_PLY",
    "GHETTO_DB$GDB_Car_RYD",
    "GHETTO_DB$GDB_Car_SMO",
    "GHETTO_DB$GDB_Car_SWE",
    "GOGGLES$goggles_put_on",
    "GRAFFITI$graffiti_Chkout",
    "GRAFFITI$spraycan_fire",
    "GRAVEYARD$mrnF_loop",
    "GRAVEYARD$mrnM_loop",
    "GRAVEYARD$prst_loopa",
    "GRENADE$WEAPON_start_throw",
    "GRENADE$WEAPON_throw",
    "GRENADE$WEAPON_throwu",
    "GYMNASIUM$GYMshadowbox",
    "GYMNASIUM$gym_bike_celebrate",
    "GYMNASIUM$gym_bike_fast",
    "GYMNASIUM$gym_bike_faster",
    "GYMNASIUM$gym_bike_getoff",
    "GYMNASIUM$gym_bike_geton",
    "GYMNASIUM$gym_bike_pedal",
    "GYMNASIUM$gym_bike_slow",
    "GYMNASIUM$gym_bike_still",
    "GYMNASIUM$gym_jog_falloff",
    "GYMNASIUM$gym_shadowbox",
    "GYMNASIUM$gym_tread_celebrate",
    "GYMNASIUM$gym_tread_falloff",
    "GYMNASIUM$gym_tread_getoff",
    "GYMNASIUM$gym_tread_geton",
    "GYMNASIUM$gym_tread_jog",
    "GYMNASIUM$gym_tread_sprint",
    "GYMNASIUM$gym_tread_tired",
    "GYMNASIUM$gym_tread_walk",
    "GYMNASIUM$gym_walk_falloff",
    "GYMNASIUM$Pedals_fast",
    "GYMNASIUM$Pedals_med",
    "GYMNASIUM$Pedals_slow",
    "GYMNASIUM$Pedals_still",
    "HAIRCUTS$BRB_Beard_01",
    "HAIRCUTS$BRB_Buy",
    "HAIRCUTS$BRB_Cut",
    "HAIRCUTS$BRB_Cut_In",
    "HAIRCUTS$BRB_Cut_Out",
    "HAIRCUTS$BRB_Hair_01",
    "HAIRCUTS$BRB_Hair_02",
    "HAIRCUTS$BRB_In",
    "HAIRCUTS$BRB_Loop",
    "HAIRCUTS$BRB_Out",
    "HAIRCUTS$BRB_Sit_In",
    "HAIRCUTS$BRB_Sit_Loop",
    "HAIRCUTS$BRB_Sit_Out",
    "HEIST9$CAS_G2_GasKO",
    "HEIST9$swt_wllpk_L",
    "HEIST9$swt_wllpk_L_back",
    "HEIST9$swt_wllpk_R",
    "HEIST9$swt_wllpk_R_back",
    "HEIST9$swt_wllshoot_in_L",
    "HEIST9$swt_wllshoot_in_R",
    "HEIST9$swt_wllshoot_out_L",
    "HEIST9$swt_wllshoot_out_R",
    "HEIST9$Use_SwipeCard",
    "INT_HOUSE$BED_In_L",
    "INT_HOUSE$BED_In_R",
    "INT_HOUSE$BED_Loop_L",
    "INT_HOUSE$BED_Loop_R",
    "INT_HOUSE$BED_Out_L",
    "INT_HOUSE$BED_Out_R",
    "INT_HOUSE$LOU_In",
    "INT_HOUSE$LOU_Loop",
    "INT_HOUSE$LOU_Out",
    "INT_HOUSE$wash_up",
    "INT_OFFICE$FF_Dam_Fwd",
    "INT_OFFICE$OFF_Sit_2Idle_180",
    "INT_OFFICE$OFF_Sit_Bored_Loop",
    "INT_OFFICE$OFF_Sit_Crash",
    "INT_OFFICE$OFF_Sit_Drink",
    "INT_OFFICE$OFF_Sit_Idle_Loop",
    "INT_OFFICE$OFF_Sit_In",
    "INT_OFFICE$OFF_Sit_Read",
    "INT_OFFICE$OFF_Sit_Type_Loop",
    "INT_OFFICE$OFF_Sit_Watch",
    "INT_SHOP$shop_cashier",
    "INT_SHOP$shop_in",
    "INT_SHOP$shop_lookA",
    "INT_SHOP$shop_lookB",
    "INT_SHOP$shop_loop",
    "INT_SHOP$shop_out",
    "INT_SHOP$shop_pay",
    "INT_SHOP$shop_shelf",
    "JST_BUISNESS$girl_01",
    "JST_BUISNESS$girl_02",
    "JST_BUISNESS$player_01",
    "JST_BUISNESS$smoke_01",
    "KART$KART_getin_LHS",
    "KART$KART_getin_RHS",
    "KART$KART_getout_LHS",
    "KART$KART_getout_RHS",
    "KISSING$BD_GF_Wave",
    "KISSING$gfwave2",
    "KISSING$GF_CarArgue_01",
    "KISSING$GF_CarArgue_02",
    "KISSING$GF_CarSpot",
    "KISSING$GF_StreetArgue_01",
    "KISSING$GF_StreetArgue_02",
    "KISSING$gift_get",
    "KISSING$gift_give",
    "KISSING$Grlfrd_Kiss_01",
    "KISSING$Grlfrd_Kiss_02",
    "KISSING$Grlfrd_Kiss_03",
    "KISSING$Playa_Kiss_01",
    "KISSING$Playa_Kiss_02",
    "KISSING$Playa_Kiss_03",
    "KNIFE$KILL_Knife_Ped_Damage",
    "KNIFE$KILL_Knife_Ped_Die",
    "KNIFE$KILL_Knife_Player",
    "KNIFE$KILL_Partial",
    "KNIFE$knife_1",
    "KNIFE$knife_2",
    "KNIFE$knife_3",
    "KNIFE$Knife_4",
    "KNIFE$knife_block",
    "KNIFE$Knife_G",
    "KNIFE$knife_hit_1",
    "KNIFE$knife_hit_2",
    "KNIFE$knife_hit_3",
    "KNIFE$knife_IDLE",
    "KNIFE$knife_part",
    "KNIFE$WEAPON_knifeidle",
    "LAPDAN1$LAPDAN_D",
    "LAPDAN1$LAPDAN_P",
    "LAPDAN2$LAPDAN_D",
    "LAPDAN2$LAPDAN_P",
    "LAPDAN3$LAPDAN_D",
    "LAPDAN3$LAPDAN_P",
    "LOWRIDER$F_smklean_loop",
    "LOWRIDER$lrgirl_bdbnce",
    "LOWRIDER$lrgirl_hair",
    "LOWRIDER$lrgirl_hurry",
    "LOWRIDER$lrgirl_idleloop",
    "LOWRIDER$lrgirl_idle_to_l0",
    "LOWRIDER$lrgirl_l0_bnce",
    "LOWRIDER$lrgirl_l0_loop",
    "LOWRIDER$lrgirl_l0_to_l1",
    "LOWRIDER$lrgirl_l12_to_l0",
    "LOWRIDER$lrgirl_l1_bnce",
    "LOWRIDER$lrgirl_l1_loop",
    "LOWRIDER$lrgirl_l1_to_l2",
    "LOWRIDER$lrgirl_l2_bnce",
    "LOWRIDER$lrgirl_l2_loop",
    "LOWRIDER$lrgirl_l2_to_l3",
    "LOWRIDER$lrgirl_l345_to_l1",
    "LOWRIDER$lrgirl_l3_bnce",
    "LOWRIDER$lrgirl_l3_loop",
    "LOWRIDER$lrgirl_l3_to_l4",
    "LOWRIDER$lrgirl_l4_bnce",
    "LOWRIDER$lrgirl_l4_loop",
    "LOWRIDER$lrgirl_l4_to_l5",
    "LOWRIDER$lrgirl_l5_bnce",
    "LOWRIDER$lrgirl_l5_loop",
    "LOWRIDER$M_smklean_loop",
    "LOWRIDER$M_smkstnd_loop",
    "LOWRIDER$prtial_gngtlkB",
    "LOWRIDER$prtial_gngtlkC",
    "LOWRIDER$prtial_gngtlkD",
    "LOWRIDER$prtial_gngtlkE",
    "LOWRIDER$prtial_gngtlkF",
    "LOWRIDER$prtial_gngtlkG",
    "LOWRIDER$prtial_gngtlkH",
    "LOWRIDER$RAP_A_Loop",
    "LOWRIDER$RAP_B_Loop",
    "LOWRIDER$RAP_C_Loop",
    "LOWRIDER$Sit_relaxed",
    "LOWRIDER$Tap_hand",
    "MD_CHASE$Carhit_Hangon",
    "MD_CHASE$Carhit_Tumble",
    "MD_CHASE$donutdrop",
    "MD_CHASE$Fen_Choppa_L1",
    "MD_CHASE$Fen_Choppa_L2",
    "MD_CHASE$Fen_Choppa_L3",
    "MD_CHASE$Fen_Choppa_R1",
    "MD_CHASE$Fen_Choppa_R2",
    "MD_CHASE$Fen_Choppa_R3",
    "MD_CHASE$Hangon_Stun_loop",
    "MD_CHASE$Hangon_Stun_Turn",
    "MD_CHASE$MD_BIKE_2_HANG",
    "MD_CHASE$MD_BIKE_Jmp_BL",
    "MD_CHASE$MD_BIKE_Jmp_F",
    "MD_CHASE$MD_BIKE_Lnd_BL",
    "MD_CHASE$MD_BIKE_Lnd_Die_BL",
    "MD_CHASE$MD_BIKE_Lnd_Die_F",
    "MD_CHASE$MD_BIKE_Lnd_F",
    "MD_CHASE$MD_BIKE_Lnd_Roll",
    "MD_CHASE$MD_BIKE_Lnd_Roll_F",
    "MD_CHASE$MD_BIKE_Punch",
    "MD_CHASE$MD_BIKE_Punch_F",
    "MD_CHASE$MD_BIKE_Shot_F",
    "MD_CHASE$MD_HANG_Lnd_Roll",
    "MD_CHASE$MD_HANG_Loop",
    "MD_END$END_SC1_PLY",
    "MD_END$END_SC1_RYD",
    "MD_END$END_SC1_SMO",
    "MD_END$END_SC1_SWE",
    "MD_END$END_SC2_PLY",
    "MD_END$END_SC2_RYD",
    "MD_END$END_SC2_SMO",
    "MD_END$END_SC2_SWE",
    "MEDIC$CPR",
    "MISC$bitchslap",
    "MISC$BMX_celebrate",
    "MISC$BMX_comeon",
    "MISC$bmx_idleloop_01",
    "MISC$bmx_idleloop_02",
    "MISC$bmx_talkleft_in",
    "MISC$bmx_talkleft_loop",
    "MISC$bmx_talkleft_out",
    "MISC$bmx_talkright_in",
    "MISC$bmx_talkright_loop",
    "MISC$bmx_talkright_out",
    "MISC$bng_wndw",
    "MISC$bng_wndw_02",
    "MISC$Case_pickup",
    "MISC$door_jet",
    "MISC$GRAB_L",
    "MISC$GRAB_R",
    "MISC$Hiker_Pose",
    "MISC$Hiker_Pose_L",
    "MISC$Idle_Chat_02",
    "MISC$KAT_Throw_K",
    "MISC$KAT_Throw_O",
    "MISC$KAT_Throw_P",
    "MISC$PASS_Rifle_O",
    "MISC$PASS_Rifle_Ped",
    "MISC$PASS_Rifle_Ply",
    "MISC$pickup_box",
    "MISC$Plane_door",
    "MISC$Plane_exit",
    "MISC$Plane_hijack",
    "MISC$Plunger_01",
    "MISC$Plyrlean_loop",
    "MISC$plyr_shkhead",
    "MISC$Run_Dive",
    "MISC$Scratchballs_01",
    "MISC$SEAT_LR",
    "MISC$Seat_talk_01",
    "MISC$Seat_talk_02",
    "MISC$SEAT_watch",
    "MISC$smalplane_door",
    "MISC$smlplane_door",
    "MTB$MTB_back",
    "MTB$MTB_bunnyhop",
    "MTB$MTB_drivebyFT",
    "MTB$MTB_driveby_LHS",
    "MTB$MTB_driveby_RHS",
    "MTB$MTB_fwd",
    "MTB$MTB_getoffBACK",
    "MTB$MTB_getoffLHS",
    "MTB$MTB_getoffRHS",
    "MTB$MTB_jumponL",
    "MTB$MTB_jumponR",
    "MTB$MTB_Left",
    "MTB$MTB_pedal",
    "MTB$MTB_pushes",
    "MTB$MTB_Ride",
    "MTB$MTB_Right",
    "MTB$MTB_sprint",
    "MTB$MTB_still",
    "MUSCULAR$MscleWalkst_armed",
    "MUSCULAR$MscleWalkst_Csaw",
    "MUSCULAR$Mscle_rckt_run",
    "MUSCULAR$Mscle_rckt_walkst",
    "MUSCULAR$Mscle_run_Csaw",
    "MUSCULAR$MuscleIdle",
    "MUSCULAR$MuscleIdle_armed",
    "MUSCULAR$MuscleIdle_Csaw",
    "MUSCULAR$MuscleIdle_rocket",
    "MUSCULAR$MuscleRun",
    "MUSCULAR$MuscleRun_armed",
    "MUSCULAR$MuscleSprint",
    "MUSCULAR$MuscleWalk",
    "MUSCULAR$MuscleWalkstart",
    "MUSCULAR$MuscleWalk_armed",
    "MUSCULAR$Musclewalk_Csaw",
    "MUSCULAR$Musclewalk_rocket",
    "NEVADA$NEVADA_getin",
    "NEVADA$NEVADA_getout",
    "ON_LOOKERS$lkaround_in",
    "ON_LOOKERS$lkaround_loop",
    "ON_LOOKERS$lkaround_out",
    "ON_LOOKERS$lkup_in",
    "ON_LOOKERS$lkup_loop",
    "ON_LOOKERS$lkup_out",
    "ON_LOOKERS$lkup_point",
    "ON_LOOKERS$panic_cower",
    "ON_LOOKERS$panic_hide",
    "ON_LOOKERS$panic_in",
    "ON_LOOKERS$panic_loop",
    "ON_LOOKERS$panic_out",
    "ON_LOOKERS$panic_point",
    "ON_LOOKERS$panic_shout",
    "ON_LOOKERS$Pointup_in",
    "ON_LOOKERS$Pointup_loop",
    "ON_LOOKERS$Pointup_out",
    "ON_LOOKERS$Pointup_shout",
    "ON_LOOKERS$point_in",
    "ON_LOOKERS$point_loop",
    "ON_LOOKERS$point_out",
    "ON_LOOKERS$shout_01",
    "ON_LOOKERS$shout_02",
    "ON_LOOKERS$shout_in",
    "ON_LOOKERS$shout_loop",
    "ON_LOOKERS$shout_out",
    "ON_LOOKERS$wave_in",
    "ON_LOOKERS$wave_loop",
    "ON_LOOKERS$wave_out",
    "OTB$betslp_in",
    "OTB$betslp_lkabt",
    "OTB$betslp_loop",
    "OTB$betslp_out",
    "OTB$betslp_tnk",
    "OTB$wtchrace_cmon",
    "OTB$wtchrace_in",
    "OTB$wtchrace_loop",
    "OTB$wtchrace_lose",
    "OTB$wtchrace_out",
    "OTB$wtchrace_win",
    "PARACHUTE$FALL_skyDive",
    "PARACHUTE$FALL_SkyDive_Accel",
    "PARACHUTE$FALL_skyDive_DIE",
    "PARACHUTE$FALL_SkyDive_L",
    "PARACHUTE$FALL_SkyDive_R",
    "PARACHUTE$PARA_decel",
    "PARACHUTE$PARA_decel_O",
    "PARACHUTE$PARA_float",
    "PARACHUTE$PARA_float_O",
    "PARACHUTE$PARA_Land",
    "PARACHUTE$PARA_Land_O",
    "PARACHUTE$PARA_Land_Water",
    "PARACHUTE$PARA_Land_Water_O",
    "PARACHUTE$PARA_open",
    "PARACHUTE$PARA_open_O",
    "PARACHUTE$PARA_Rip_Land_O",
    "PARACHUTE$PARA_Rip_Loop_O",
    "PARACHUTE$PARA_Rip_O",
    "PARACHUTE$PARA_steerL",
    "PARACHUTE$PARA_steerL_O",
    "PARACHUTE$PARA_steerR",
    "PARACHUTE$PARA_steerR_O",
    "PARK$Tai_Chi_in",
    "PARK$Tai_Chi_Loop",
    "PARK$Tai_Chi_Out",
    "PAULNMAC$Piss_in",
    "PAULNMAC$Piss_loop",
    "PAULNMAC$Piss_out",
    "PAULNMAC$PnM_Argue1_A",
    "PAULNMAC$PnM_Argue1_B",
    "PAULNMAC$PnM_Argue2_A",
    "PAULNMAC$PnM_Argue2_B",
    "PAULNMAC$PnM_Loop_A",
    "PAULNMAC$PnM_Loop_B",
    "PAULNMAC$wank_in",
    "PAULNMAC$wank_loop",
    "PAULNMAC$wank_out",
    "PED$abseil",
    "PED$ARRESTgun",
    "PED$ATM",
    "PED$BIKE_elbowL",
    "PED$BIKE_elbowR",
    "PED$BIKE_fallR",
    "PED$BIKE_fall_off",
    "PED$BIKE_pickupL",
    "PED$BIKE_pickupR",
    "PED$BIKE_pullupL",
    "PED$BIKE_pullupR",
    "PED$bomber",
    "PED$CAR_alignHI_LHS",
    "PED$CAR_alignHI_RHS",
    "PED$CAR_align_LHS",
    "PED$CAR_align_RHS",
    "PED$CAR_closedoorL_LHS",
    "PED$CAR_closedoorL_RHS",
    "PED$CAR_closedoor_LHS",
    "PED$CAR_closedoor_RHS",
    "PED$CAR_close_LHS",
    "PED$CAR_close_RHS",
    "PED$CAR_crawloutRHS",
    "PED$CAR_dead_LHS",
    "PED$CAR_dead_RHS",
    "PED$CAR_doorlocked_LHS",
    "PED$CAR_doorlocked_RHS",
    "PED$CAR_fallout_LHS",
    "PED$CAR_fallout_RHS",
    "PED$CAR_getinL_LHS",
    "PED$CAR_getinL_RHS",
    "PED$CAR_getin_LHS",
    "PED$CAR_getin_RHS",
    "PED$CAR_getoutL_LHS",
    "PED$CAR_getoutL_RHS",
    "PED$CAR_getout_LHS",
    "PED$CAR_getout_RHS",
    "PED$car_hookertalk",
    "PED$CAR_jackedLHS",
    "PED$CAR_jackedRHS",
    "PED$CAR_jumpin_LHS",
    "PED$CAR_LB",
    "PED$CAR_LB_pro",
    "PED$CAR_LB_weak",
    "PED$CAR_LjackedLHS",
    "PED$CAR_LjackedRHS",
    "PED$CAR_Lshuffle_RHS",
    "PED$CAR_Lsit",
    "PED$CAR_open_LHS",
    "PED$CAR_open_RHS",
    "PED$CAR_pulloutL_LHS",
    "PED$CAR_pulloutL_RHS",
    "PED$CAR_pullout_LHS",
    "PED$CAR_pullout_RHS",
    "PED$CAR_Qjacked",
    "PED$CAR_rolldoor",
    "PED$CAR_rolldoorLO",
    "PED$CAR_rollout_LHS",
    "PED$CAR_rollout_RHS",
    "PED$CAR_shuffle_RHS",
    "PED$CAR_sit",
    "PED$CAR_sitp",
    "PED$CAR_sitpLO",
    "PED$CAR_sit_pro",
    "PED$CAR_sit_weak",
    "PED$CAR_tune_radio",
    "PED$CLIMB_idle",
    "PED$CLIMB_jump",
    "PED$CLIMB_jump2fall",
    "PED$CLIMB_jump_B",
    "PED$CLIMB_Pull",
    "PED$CLIMB_Stand",
    "PED$CLIMB_Stand_finish",
    "PED$cower",
    "PED$Crouch_Roll_L",
    "PED$Crouch_Roll_R",
    "PED$DAM_armL_frmBK",
    "PED$DAM_armL_frmFT",
    "PED$DAM_armL_frmLT",
    "PED$DAM_armR_frmBK",
    "PED$DAM_armR_frmFT",
    "PED$DAM_armR_frmRT",
    "PED$DAM_LegL_frmBK",
    "PED$DAM_LegL_frmFT",
    "PED$DAM_LegL_frmLT",
    "PED$DAM_LegR_frmBK",
    "PED$DAM_LegR_frmFT",
    "PED$DAM_LegR_frmRT",
    "PED$DAM_stomach_frmBK",
    "PED$DAM_stomach_frmFT",
    "PED$DAM_stomach_frmLT",
    "PED$DAM_stomach_frmRT",
    "PED$DOOR_LHinge_O",
    "PED$DOOR_RHinge_O",
    "PED$DrivebyL_L",
    "PED$DrivebyL_R",
    "PED$Driveby_L",
    "PED$Driveby_R",
    "PED$DRIVE_BOAT",
    "PED$DRIVE_BOAT_back",
    "PED$DRIVE_BOAT_L",
    "PED$DRIVE_BOAT_R",
    "PED$Drive_L",
    "PED$Drive_LO_l",
    "PED$Drive_LO_R",
    "PED$Drive_L_pro",
    "PED$Drive_L_pro_slow",
    "PED$Drive_L_slow",
    "PED$Drive_L_weak",
    "PED$Drive_L_weak_slow",
    "PED$Drive_R",
    "PED$Drive_R_pro",
    "PED$Drive_R_pro_slow",
    "PED$Drive_R_slow",
    "PED$Drive_R_weak",
    "PED$Drive_R_weak_slow",
    "PED$Drive_truck",
    "PED$DRIVE_truck_back",
    "PED$DRIVE_truck_L",
    "PED$DRIVE_truck_R",
    "PED$Drown",
    "PED$DUCK_cower",
    "PED$endchat_01",
    "PED$endchat_02",
    "PED$endchat_03",
    "PED$EV_dive",
    "PED$EV_step",
    "PED$facanger",
    "PED$facgum",
    "PED$facsurp",
    "PED$facsurpm",
    "PED$factalk",
    "PED$facurios",
    "PED$FALL_back",
    "PED$FALL_collapse",
    "PED$FALL_fall",
    "PED$FALL_front",
    "PED$FALL_glide",
    "PED$FALL_land",
    "PED$FALL_skyDive",
    "PED$Fight2Idle",
    "PED$FightA_1",
    "PED$FightA_2",
    "PED$FightA_3",
    "PED$FightA_block",
    "PED$FightA_G",
    "PED$FightA_M",
    "PED$FIGHTIDLE",
    "PED$FightShB",
    "PED$FightShF",
    "PED$FightSh_BWD",
    "PED$FightSh_FWD",
    "PED$FightSh_Left",
    "PED$FightSh_Right",
    "PED$flee_lkaround_01",
    "PED$FLOOR_hit",
    "PED$FLOOR_hit_f",
    "PED$fucku",
    "PED$gang_gunstand",
    "PED$gas_cwr",
    "PED$getup",
    "PED$getup_front",
    "PED$gum_eat",
    "PED$GunCrouchBwd",
    "PED$GunCrouchFwd",
    "PED$GunMove_BWD",
    "PED$GunMove_FWD",
    "PED$GunMove_L",
    "PED$GunMove_R",
    "PED$Gun_2_IDLE",
    "PED$GUN_BUTT",
    "PED$GUN_BUTT_crouch",
    "PED$Gun_stand",
    "PED$handscower",
    "PED$handsup",
    "PED$HitA_1",
    "PED$HitA_2",
    "PED$HitA_3",
    "PED$HIT_back",
    "PED$HIT_behind",
    "PED$HIT_front",
    "PED$HIT_GUN_BUTT",
    "PED$HIT_L",
    "PED$HIT_R",
    "PED$HIT_walk",
    "PED$HIT_wall",
    "PED$Idlestance_fat",
    "PED$idlestance_old",
    "PED$IDLE_armed",
    "PED$IDLE_chat",
    "PED$IDLE_csaw",
    "PED$Idle_Gang1",
    "PED$IDLE_HBHB",
    "PED$IDLE_ROCKET",
    "PED$IDLE_stance",
    "PED$IDLE_taxi",
    "PED$IDLE_tired",
    "PED$Jetpack_Idle",
    "PED$JOG_femaleA",
    "PED$JOG_maleA",
    "PED$JUMP_glide",
    "PED$JUMP_land",
    "PED$JUMP_launch",
    "PED$JUMP_launch_R",
    "PED$KART_drive",
    "PED$KART_L",
    "PED$KART_LB",
    "PED$KART_R",
    "PED$KD_left",
    "PED$KD_right",
    "PED$KO_shot_face",
    "PED$KO_shot_front",
    "PED$KO_shot_stom",
    "PED$KO_skid_back",
    "PED$KO_skid_front",
    "PED$KO_spin_L",
    "PED$KO_spin_R",
    "PED$pass_Smoke_in_car",
    "PED$phone_in",
    "PED$phone_out",
    "PED$phone_talk",
    "PED$Player_Sneak",
    "PED$Player_Sneak_walkstart",
    "PED$roadcross",
    "PED$roadcross_female",
    "PED$roadcross_gang",
    "PED$roadcross_old",
    "PED$run_1armed",
    "PED$run_armed",
    "PED$run_civi",
    "PED$run_csaw",
    "PED$run_fat",
    "PED$run_fatold",
    "PED$run_gang1",
    "PED$run_left",
    "PED$run_old",
    "PED$run_player",
    "PED$run_right",
    "PED$run_rocket",
    "PED$Run_stop",
    "PED$Run_stopR",
    "PED$Run_Wuzi",
    "PED$SEAT_down",
    "PED$SEAT_idle",
    "PED$SEAT_up",
    "PED$SHOT_leftP",
    "PED$SHOT_partial",
    "PED$SHOT_partial_B",
    "PED$SHOT_rightP",
    "PED$Shove_Partial",
    "PED$Smoke_in_car",
    "PED$sprint_civi",
    "PED$sprint_panic",
    "PED$Sprint_Wuzi",
    "PED$swat_run",
    "PED$Swim_Tread",
    "PED$Tap_hand",
    "PED$Tap_handP",
    "PED$turn_180",
    "PED$Turn_L",
    "PED$Turn_R",
    "PED$WALK_armed",
    "PED$WALK_civi",
    "PED$WALK_csaw",
    "PED$Walk_DoorPartial",
    "PED$WALK_drunk",
    "PED$WALK_fat",
    "PED$WALK_fatold",
    "PED$WALK_gang1",
    "PED$WALK_gang2",
    "PED$WALK_old",
    "PED$WALK_player",
    "PED$WALK_rocket",
    "PED$WALK_shuffle",
    "PED$WALK_start",
    "PED$WALK_start_armed",
    "PED$WALK_start_csaw",
    "PED$WALK_start_rocket",
    "PED$Walk_Wuzi",
    "PED$WEAPON_crouch",
    "PED$woman_idlestance",
    "PED$woman_run",
    "PED$WOMAN_runbusy",
    "PED$WOMAN_runfatold",
    "PED$woman_runpanic",
    "PED$WOMAN_runsexy",
    "PED$WOMAN_walkbusy",
    "PED$WOMAN_walkfatold",
    "PED$WOMAN_walknorm",
    "PED$WOMAN_walkold",
    "PED$WOMAN_walkpro",
    "PED$WOMAN_walksexy",
    "PED$WOMAN_walkshop",
    "PED$XPRESSscratch",
    "PLAYER_DVBYS$Plyr_DrivebyBwd",
    "PLAYER_DVBYS$Plyr_DrivebyFwd",
    "PLAYER_DVBYS$Plyr_DrivebyLHS",
    "PLAYER_DVBYS$Plyr_DrivebyRHS",
    "PLAYIDLES$shift",
    "PLAYIDLES$shldr",
    "PLAYIDLES$stretch",
    "PLAYIDLES$strleg",
    "PLAYIDLES$time",
    "POLICE$CopTraf_Away",
    "POLICE$CopTraf_Come",
    "POLICE$CopTraf_Left",
    "POLICE$CopTraf_Stop",
    "POLICE$COP_getoutcar_LHS",
    "POLICE$Cop_move_FWD",
    "POLICE$crm_drgbst_01",
    "POLICE$Door_Kick",
    "POLICE$plc_drgbst_01",
    "POLICE$plc_drgbst_02",
    "POOL$POOL_ChalkCue",
    "POOL$POOL_Idle_Stance",
    "POOL$POOL_Long_Shot",
    "POOL$POOL_Long_Shot_O",
    "POOL$POOL_Long_Start",
    "POOL$POOL_Long_Start_O",
    "POOL$POOL_Med_Shot",
    "POOL$POOL_Med_Shot_O",
    "POOL$POOL_Med_Start",
    "POOL$POOL_Med_Start_O",
    "POOL$POOL_Place_White",
    "POOL$POOL_Short_Shot",
    "POOL$POOL_Short_Shot_O",
    "POOL$POOL_Short_Start",
    "POOL$POOL_Short_Start_O",
    "POOL$POOL_Walk",
    "POOL$POOL_Walk_Start",
    "POOL$POOL_XLong_Shot",
    "POOL$POOL_XLong_Shot_O",
    "POOL$POOL_XLong_Start",
    "POOL$POOL_XLong_Start_O",
    "POOR$WINWASH_Start",
    "POOR$WINWASH_Wash2Beg",
    "PYTHON$python_crouchfire",
    "PYTHON$python_crouchreload",
    "PYTHON$python_fire",
    "PYTHON$python_fire_poor",
    "PYTHON$python_reload",
    "QUAD$QUAD_back",
    "QUAD$QUAD_driveby_FT",
    "QUAD$QUAD_driveby_LHS",
    "QUAD$QUAD_driveby_RHS",
    "QUAD$QUAD_FWD",
    "QUAD$QUAD_getoff_B",
    "QUAD$QUAD_getoff_LHS",
    "QUAD$QUAD_getoff_RHS",
    "QUAD$QUAD_geton_LHS",
    "QUAD$QUAD_geton_RHS",
    "QUAD$QUAD_hit",
    "QUAD$QUAD_kick",
    "QUAD$QUAD_Left",
    "QUAD$QUAD_passenger",
    "QUAD$QUAD_reverse",
    "QUAD$QUAD_ride",
    "QUAD$QUAD_Right",
    "QUAD_DBZ$Pass_Driveby_BWD",
    "QUAD_DBZ$Pass_Driveby_FWD",
    "QUAD_DBZ$Pass_Driveby_LHS",
    "QUAD_DBZ$Pass_Driveby_RHS",
    "RAPPING$Laugh_01",
    "RAPPING$RAP_A_IN",
    "RAPPING$RAP_A_Loop",
    "RAPPING$RAP_A_OUT",
    "RAPPING$RAP_B_IN",
    "RAPPING$RAP_B_Loop",
    "RAPPING$RAP_B_OUT",
    "RAPPING$RAP_C_Loop",
    "RIFLE$RIFLE_crouchfire",
    "RIFLE$RIFLE_crouchload",
    "RIFLE$RIFLE_fire",
    "RIFLE$RIFLE_fire_poor",
    "RIFLE$RIFLE_load",
    "RIOT$RIOT_ANGRY",
    "RIOT$RIOT_ANGRY_B",
    "RIOT$RIOT_challenge",
    "RIOT$RIOT_CHANT",
    "RIOT$RIOT_FUKU",
    "RIOT$RIOT_PUNCHES",
    "RIOT$RIOT_shout",
    "ROB_BANK$CAT_Safe_End",
    "ROB_BANK$CAT_Safe_Open",
    "ROB_BANK$CAT_Safe_Open_O",
    "ROB_BANK$CAT_Safe_Rob",
    "ROB_BANK$SHP_HandsUp_Scr",
    "ROCKET$idle_rocket",
    "ROCKET$RocketFire",
    "ROCKET$run_rocket",
    "ROCKET$walk_rocket",
    "ROCKET$WALK_start_rocket",
    "RUSTLER$Plane_align_LHS",
    "RUSTLER$Plane_close",
    "RUSTLER$Plane_getin",
    "RUSTLER$Plane_getout",
    "RUSTLER$Plane_open",
    "RYDER$RYD_Beckon_01",
    "RYDER$RYD_Beckon_02",
    "RYDER$RYD_Beckon_03",
    "RYDER$RYD_Die_PT1",
    "RYDER$RYD_Die_PT2",
    "RYDER$Van_Crate_L",
    "RYDER$Van_Crate_R",
    "RYDER$Van_Fall_L",
    "RYDER$Van_Fall_R",
    "RYDER$Van_Lean_L",
    "RYDER$Van_Lean_R",
    "RYDER$VAN_PickUp_E",
    "RYDER$VAN_PickUp_S",
    "RYDER$Van_Stand",
    "RYDER$Van_Stand_Crate",
    "RYDER$Van_Throw",
    "SCRATCHING$scdldlp",
    "SCRATCHING$scdlulp",
    "SCRATCHING$scdrdlp",
    "SCRATCHING$scdrulp",
    "SCRATCHING$sclng_l",
    "SCRATCHING$sclng_r",
    "SCRATCHING$scmid_l",
    "SCRATCHING$scmid_r",
    "SCRATCHING$scshrtl",
    "SCRATCHING$scshrtr",
    "SCRATCHING$sc_ltor",
    "SCRATCHING$sc_rtol",
    "SHAMAL$SHAMAL_align",
    "SHAMAL$SHAMAL_getin_LHS",
    "SHAMAL$SHAMAL_getout_LHS",
    "SHAMAL$SHAMAL_open",
    "SHOP$ROB_2Idle",
    "SHOP$ROB_Loop",
    "SHOP$ROB_Loop_Threat",
    "SHOP$ROB_Shifty",
    "SHOP$ROB_StickUp_In",
    "SHOP$SHP_Duck",
    "SHOP$SHP_Duck_Aim",
    "SHOP$SHP_Duck_Fire",
    "SHOP$SHP_Gun_Aim",
    "SHOP$SHP_Gun_Duck",
    "SHOP$SHP_Gun_Fire",
    "SHOP$SHP_Gun_Grab",
    "SHOP$SHP_Gun_Threat",
    "SHOP$SHP_HandsUp_Scr",
    "SHOP$SHP_Jump_Glide",
    "SHOP$SHP_Jump_Land",
    "SHOP$SHP_Jump_Launch",
    "SHOP$SHP_Rob_GiveCash",
    "SHOP$SHP_Rob_HandsUp",
    "SHOP$SHP_Rob_React",
    "SHOP$SHP_Serve_End",
    "SHOP$SHP_Serve_Idle",
    "SHOP$SHP_Serve_Loop",
    "SHOP$SHP_Serve_Start",
    "SHOP$Smoke_RYD",
    "SHOTGUN$shotgun_crouchfire",
    "SHOTGUN$shotgun_fire",
    "SHOTGUN$shotgun_fire_poor",
    "SILENCED$CrouchReload",
    "SILENCED$SilenceCrouchfire",
    "SILENCED$Silence_fire",
    "SILENCED$Silence_reload",
    "SKATE$skate_idle",
    "SKATE$skate_run",
    "SKATE$skate_sprint",
    "SMOKING$F_smklean_loop",
    "SMOKING$M_smklean_loop",
    "SMOKING$M_smkstnd_loop",
    "SMOKING$M_smk_drag",
    "SMOKING$M_smk_in",
    "SMOKING$M_smk_loop",
    "SMOKING$M_smk_out",
    "SMOKING$M_smk_tap",
    "SNIPER$WEAPON_sniper",
    "SPRAYCAN$spraycan_fire",
    "SPRAYCAN$spraycan_full",
    "STRIP$PLY_CASH",
    "STRIP$PUN_CASH",
    "STRIP$PUN_HOLLER",
    "STRIP$PUN_LOOP",
    "STRIP$strip_A",
    "STRIP$strip_B",
    "STRIP$strip_C",
    "STRIP$strip_D",
    "STRIP$strip_E",
    "STRIP$strip_F",
    "STRIP$strip_G",
    "STRIP$STR_A2B",
    "STRIP$STR_B2A",
    "STRIP$STR_B2C",
    "STRIP$STR_C1",
    "STRIP$STR_C2",
    "STRIP$STR_C2B",
    "STRIP$STR_Loop_A",
    "STRIP$STR_Loop_B",
    "STRIP$STR_Loop_C",
    "SUNBATHE$batherdown",
    "SUNBATHE$batherup",
    "SUNBATHE$Lay_Bac_in",
    "SUNBATHE$Lay_Bac_out",
    "SUNBATHE$ParkSit_M_IdleA",
    "SUNBATHE$ParkSit_M_IdleB",
    "SUNBATHE$ParkSit_M_IdleC",
    "SUNBATHE$ParkSit_M_in",
    "SUNBATHE$ParkSit_M_out",
    "SUNBATHE$ParkSit_W_idleA",
    "SUNBATHE$ParkSit_W_idleB",
    "SUNBATHE$ParkSit_W_idleC",
    "SUNBATHE$ParkSit_W_in",
    "SUNBATHE$ParkSit_W_out",
    "SUNBATHE$SBATHE_F_LieB2Sit",
    "SUNBATHE$SBATHE_F_Out",
    "SUNBATHE$SitnWait_in_W",
    "SUNBATHE$SitnWait_out_W",
    "SWAT$gnstwall_injurd",
    "SWAT$JMP_Wall1m_180",
    "SWAT$Rail_fall",
    "SWAT$Rail_fall_crawl",
    "SWAT$swt_breach_01",
    "SWAT$swt_breach_02",
    "SWAT$swt_breach_03",
    "SWAT$swt_go",
    "SWAT$swt_lkt",
    "SWAT$swt_sty",
    "SWAT$swt_vent_01",
    "SWAT$swt_vent_02",
    "SWAT$swt_vnt_sht_die",
    "SWAT$swt_vnt_sht_in",
    "SWAT$swt_vnt_sht_loop",
    "SWAT$swt_wllpk_L",
    "SWAT$swt_wllpk_L_back",
    "SWAT$swt_wllpk_R",
    "SWAT$swt_wllpk_R_back",
    "SWAT$swt_wllshoot_in_L",
    "SWAT$swt_wllshoot_in_R",
    "SWAT$swt_wllshoot_out_L",
    "SWAT$swt_wllshoot_out_R",
    "SWEET$ho_ass_slapped",
    "SWEET$LaFin_Player",
    "SWEET$LaFin_Sweet",
    "SWEET$plyr_hndshldr_01",
    "SWEET$sweet_ass_slap",
    "SWEET$sweet_hndshldr_01",
    "SWEET$Sweet_injuredloop",
    "SWIM$Swim_Breast",
    "SWIM$SWIM_crawl",
    "SWIM$Swim_Dive_Under",
    "SWIM$Swim_Glide",
    "SWIM$Swim_jumpout",
    "SWIM$Swim_Tread",
    "SWIM$Swim_Under",
    "SWORD$sword_1",
    "SWORD$sword_2",
    "SWORD$sword_3",
    "SWORD$sword_4",
    "SWORD$sword_block",
    "SWORD$Sword_Hit_1",
    "SWORD$Sword_Hit_2",
    "SWORD$Sword_Hit_3",
    "SWORD$sword_IDLE",
    "SWORD$sword_part",
    "TANK$TANK_align_LHS",
    "TANK$TANK_close_LHS",
    "TANK$TANK_doorlocked",
    "TANK$TANK_getin_LHS",
    "TANK$TANK_getout_LHS",
    "TANK$TANK_open_LHS",
    "TATTOOS$TAT_ArmL_In_O",
    "TATTOOS$TAT_ArmL_In_P",
    "TATTOOS$TAT_ArmL_In_T",
    "TATTOOS$TAT_ArmL_Out_O",
    "TATTOOS$TAT_ArmL_Out_P",
    "TATTOOS$TAT_ArmL_Out_T",
    "TATTOOS$TAT_ArmL_Pose_O",
    "TATTOOS$TAT_ArmL_Pose_P",
    "TATTOOS$TAT_ArmL_Pose_T",
    "TATTOOS$TAT_ArmR_In_O",
    "TATTOOS$TAT_ArmR_In_P",
    "TATTOOS$TAT_ArmR_In_T",
    "TATTOOS$TAT_ArmR_Out_O",
    "TATTOOS$TAT_ArmR_Out_P",
    "TATTOOS$TAT_ArmR_Out_T",
    "TATTOOS$TAT_ArmR_Pose_O",
    "TATTOOS$TAT_ArmR_Pose_P",
    "TATTOOS$TAT_ArmR_Pose_T",
    "TATTOOS$TAT_Back_In_O",
    "TATTOOS$TAT_Back_In_P",
    "TATTOOS$TAT_Back_In_T",
    "TATTOOS$TAT_Back_Out_O",
    "TATTOOS$TAT_Back_Out_P",
    "TATTOOS$TAT_Back_Out_T",
    "TATTOOS$TAT_Back_Pose_O",
    "TATTOOS$TAT_Back_Pose_P",
    "TATTOOS$TAT_Back_Pose_T",
    "TATTOOS$TAT_Back_Sit_In_P",
    "TATTOOS$TAT_Back_Sit_Loop_P",
    "TATTOOS$TAT_Back_Sit_Out_P",
    "TATTOOS$TAT_Bel_In_O",
    "TATTOOS$TAT_Bel_In_T",
    "TATTOOS$TAT_Bel_Out_O",
    "TATTOOS$TAT_Bel_Out_T",
    "TATTOOS$TAT_Bel_Pose_O",
    "TATTOOS$TAT_Bel_Pose_T",
    "TATTOOS$TAT_Che_In_O",
    "TATTOOS$TAT_Che_In_P",
    "TATTOOS$TAT_Che_In_T",
    "TATTOOS$TAT_Che_Out_O",
    "TATTOOS$TAT_Che_Out_P",
    "TATTOOS$TAT_Che_Out_T",
    "TATTOOS$TAT_Che_Pose_O",
    "TATTOOS$TAT_Che_Pose_P",
    "TATTOOS$TAT_Che_Pose_T",
    "TATTOOS$TAT_Drop_O",
    "TATTOOS$TAT_Idle_Loop_O",
    "TATTOOS$TAT_Idle_Loop_T",
    "TATTOOS$TAT_Sit_In_O",
    "TATTOOS$TAT_Sit_In_P",
    "TATTOOS$TAT_Sit_In_T",
    "TATTOOS$TAT_Sit_Loop_O",
    "TATTOOS$TAT_Sit_Loop_P",
    "TATTOOS$TAT_Sit_Loop_T",
    "TATTOOS$TAT_Sit_Out_O",
    "TATTOOS$TAT_Sit_Out_P",
    "TATTOOS$TAT_Sit_Out_T",
    "TEC$TEC_crouchfire",
    "TEC$TEC_crouchreload",
    "TEC$TEC_fire",
    "TEC$TEC_reload",
    "TRAIN$tran_gtup",
    "TRAIN$tran_hng",
    "TRAIN$tran_ouch",
    "TRAIN$tran_stmb",
    "TRUCK$TRUCK_ALIGN_LHS",
    "TRUCK$TRUCK_ALIGN_RHS",
    "TRUCK$TRUCK_closedoor_LHS",
    "TRUCK$TRUCK_closedoor_RHS",
    "TRUCK$TRUCK_close_LHS",
    "TRUCK$TRUCK_close_RHS",
    "TRUCK$TRUCK_getin_LHS",
    "TRUCK$TRUCK_getin_RHS",
    "TRUCK$TRUCK_getout_LHS",
    "TRUCK$TRUCK_getout_RHS",
    "TRUCK$TRUCK_jackedLHS",
    "TRUCK$TRUCK_jackedRHS",
    "TRUCK$TRUCK_open_LHS",
    "TRUCK$TRUCK_open_RHS",
    "TRUCK$TRUCK_pullout_LHS",
    "TRUCK$TRUCK_pullout_RHS",
    "TRUCK$TRUCK_Shuffle",
    "UZI$UZI_crouchfire",
    "UZI$UZI_crouchreload",
    "UZI$UZI_fire",
    "UZI$UZI_fire_poor",
    "UZI$UZI_reload",
    "VAN$VAN_close_back_LHS",
    "VAN$VAN_close_back_RHS",
    "VAN$VAN_getin_Back_LHS",
    "VAN$VAN_getin_Back_RHS",
    "VAN$VAN_getout_back_LHS",
    "VAN$VAN_getout_back_RHS",
    "VAN$VAN_open_back_LHS",
    "VAN$VAN_open_back_RHS",
    "VENDING$VEND_Drink2_P",
    "VENDING$VEND_Drink_P",
    "VENDING$vend_eat1_P",
    "VENDING$VEND_Eat_P",
    "VENDING$VEND_Use",
    "VENDING$VEND_Use_pt2",
    "VORTEX$CAR_jumpin_LHS",
    "VORTEX$CAR_jumpin_RHS",
    "VORTEX$vortex_getout_LHS",
    "VORTEX$vortex_getout_RHS",
    "WAYFARER$WF_Back",
    "WAYFARER$WF_drivebyFT",
    "WAYFARER$WF_drivebyLHS",
    "WAYFARER$WF_drivebyRHS",
    "WAYFARER$WF_Fwd",
    "WAYFARER$WF_getoffBACK",
    "WAYFARER$WF_getoffLHS",
    "WAYFARER$WF_getoffRHS",
    "WAYFARER$WF_hit",
    "WAYFARER$WF_jumponL",
    "WAYFARER$WF_jumponR",
    "WAYFARER$WF_kick",
    "WAYFARER$WF_Left",
    "WAYFARER$WF_passenger",
    "WAYFARER$WF_pushes",
    "WAYFARER$WF_Ride",
    "WAYFARER$WF_Right",
    "WAYFARER$WF_Still",
    "WEAPONS$SHP_1H_Lift",
    "WEAPONS$SHP_1H_Lift_End",
    "WEAPONS$SHP_1H_Ret",
    "WEAPONS$SHP_1H_Ret_S",
    "WEAPONS$SHP_2H_Lift",
    "WEAPONS$SHP_2H_Lift_End",
    "WEAPONS$SHP_2H_Ret",
    "WEAPONS$SHP_2H_Ret_S",
    "WEAPONS$SHP_Ar_Lift",
    "WEAPONS$SHP_Ar_Lift_End",
    "WEAPONS$SHP_Ar_Ret",
    "WEAPONS$SHP_Ar_Ret_S",
    "WEAPONS$SHP_G_Lift_In",
    "WEAPONS$SHP_G_Lift_Out",
    "WEAPONS$SHP_Tray_In",
    "WEAPONS$SHP_Tray_Out",
    "WEAPONS$SHP_Tray_Pose",
    "WUZI$CS_Dead_Guy",
    "WUZI$CS_Plyr_pt1",
    "WUZI$CS_Plyr_pt2",
    "WUZI$CS_Wuzi_pt1",
    "WUZI$CS_Wuzi_pt2",
    "WUZI$Walkstart_Idle_01",
    "WUZI$Wuzi_follow",
    "WUZI$Wuzi_Greet_Plyr",
    "WUZI$Wuzi_Greet_Wuzi",
    "WUZI$Wuzi_grnd_chk",
    "WUZI$Wuzi_stand_loop",
    "WUZI$Wuzi_Walk",
}

function imgui.OnDrawFrame()
	if  tmain.window.v then

		imgui.SetNextWindowSize(imgui.ImVec2(350, 600),  imgui.Cond.FirstUseEver)

		imgui.Begin(string.format( '%s v%s by Grinch_',script.this.name,script.this.version),tmain.window,imgui.WindowFlags.NoCollapse)
		
		CreateButtons({"List","Search","Custom"},{List,Search,Custom})

        imgui.End()
    end
end

function List()
	imgui.Spacing()
	local menu_name = ""
	if imgui.BeginChild("") then
		for key,value in ipairs(animations) do
			local temp,_ = value:match("([^$]+)$([^$]+)")
			if menu_name ~= temp then
				menu_name = temp

				if imgui.CollapsingHeader(menu_name) then
					imgui.Spacing()
					for key,value in pairs(animations) do
						local file,animation = value:match("([^$]+)$([^$]+)")
						if menu_name == file then
							AnimationEntry(file,animation)
						end
					end
					imgui.Spacing()
					imgui.Separator()
					imgui.Spacing()
				end
			end
		end  
		imgui.EndChild()
	end

end

function Search()
	imgui.Dummy(imgui.ImVec2(0,10))

	imgui.PushItemWidth(imgui.GetWindowWidth()-100)
	imgui.InputText("Search ",tmain.search_text)
	imgui.PopItemWidth()

	imgui.Spacing()
	imgui.Text("Found entries :(" .. tmain.search_text.v .. ")")
	imgui.Separator()
	imgui.Spacing()
	if imgui.BeginChild("") then
		for key,value in pairs(animations) do
			file, animation = value:match("([^$]+)$([^$]+)")
			if (string.upper(animation):find(string.upper(tmain.search_text.v))) then
				AnimationEntry(file,animation)
			end
		end       
		imgui.Spacing()
		imgui.EndChild()
	end
end

function Custom()

	imgui.Dummy(imgui.ImVec2(0,10))
	
	imgui.InputText("IFP name",tmain.ifp_name)
	imgui.InputText("Animation name",tmain.animation_name)
	imgui.Spacing()
	if imgui.Button("Play animation",imgui.ImVec2(imgui.GetWindowWidth()-20,25)) then
		PlayAnimation(tmain.ifp_name.v,tmain.animation_name.v)
	end
end


function AnimationEntry(file,animation)
    if imgui.MenuItem(animation) then
        if file ~= "PED" then
            requestAnimation(file)
            loadAllModelsNow()
        end
		PlayAnimation(file,animation)
    end
end

function PlayAnimation(file,animation)
	if tmain.secondary.v == true then
		taskPlayAnimSecondary(PLAYER_PED,animation,file,4.0,tmain.loop.v,0,0,0,-1)  
	else
		taskPlayAnim(PLAYER_PED,animation,file,4.0,tmain.loop.v,0,0,0,-1)
	end
	printHelpString("Playing animation")
	if file ~= "ped" then
		removeAnimation(animation)
	end
end

function CreateButtons(names,func)

	local X = imgui.GetWindowWidth()/3 - 7*imgui.StyleVar.WindowPadding
	for i=1,3,1 do
		
		if i == tmain.current_btn then
			imgui.GetStyle().Colors[imgui.Col.Button] = imgui.ImVec4(0.06,  0.53,  0.98,  1.00)
		end

		if imgui.Button(names[i],imgui.ImVec2(X,25)) then
			tmain.current_btn = i
		end

		imgui.GetStyle().Colors[imgui.Col.Button] = imgui.ImVec4(0.26,  0.59,  0.98,  0.40)

        if i%3 ~= 0 then
            imgui.SameLine(0.0,0.0)
		end

	end
	imgui.NewLine()

	imgui.Spacing()
	imgui.Columns(2,nil,false)
	imgui.Checkbox("Loop", tmain.loop)
	imgui.NextColumn()
	imgui.Checkbox("Secondary", tmain.secondary)
	imgui.Columns(1)
	imgui.Spacing()
	if imgui.Button("Stop animation",imgui.ImVec2(imgui.GetWindowWidth()-20,25)) then
		clearCharTasks(PLAYER_PED)
		printHelpString("Animation stopped")
	end
	imgui.Spacing()
	imgui.Separator()
	func[tmain.current_btn]()

end

function main()
	ApplyStyle()

	while true do
		if isKeyDown(keys.menu_key1) and isKeyDown(keys.menu_key2) then
			while isKeyDown(keys.menu_key1) and isKeyDown(keys.menu_key2) do
				wait(0)
			end
			tmain.window.v = not tmain.window.v
		end

        imgui.Process = tmain.window.v
        wait(0)
	end
end

function ApplyStyle()
    imgui.SwitchContext()
    local style = imgui.GetStyle()
    local colors = style.Colors
    local clr = imgui.Col
    local ImVec4 = imgui.ImVec4

    style.WindowRounding = 2.0
	style.WindowTitleAlign = imgui.ImVec2(0.5,  0.84)
	style.ChildWindowRounding = 2.0
	style.FrameRounding = 0.0
	style.ItemSpacing = imgui.ImVec2(3.0,  3.0)
	style.ScrollbarSize = 12.0
	style.ScrollbarRounding = 2.0
	style.GrabMinSize = 8.0
	style.GrabRounding = 1.0
    style.WindowPadding = imgui.ImVec2(10.0,  10.0)
	colors[clr.Text]                   = ImVec4(1.00,  1.00,  1.00,  1.00)
	colors[clr.TextDisabled]           = ImVec4(0.50,  0.50,  0.50,  1.00)
	colors[clr.WindowBg]               = ImVec4(0.06,  0.06,  0.06,  0.94)
	colors[clr.ChildWindowBg]          = ImVec4(1.00,  1.00,  1.00,  0.00)
	colors[clr.PopupBg]                = ImVec4(0.08,  0.08,  0.08,  0.94)
	colors[clr.ComboBg]                = colors[clr.PopupBg]
	colors[clr.Border]                 = ImVec4(0.43,  0.43,  0.50,  0.50)
	colors[clr.BorderShadow]           = ImVec4(0.00,  0.00,  0.00,  0.00)
	colors[clr.FrameBg]                = ImVec4(0.16,  0.29,  0.48,  0.54)
	colors[clr.FrameBgHovered]         = ImVec4(0.26,  0.59,  0.98,  0.40)
	colors[clr.FrameBgActive]          = ImVec4(0.26,  0.59,  0.98,  0.67)
	colors[clr.TitleBg]                = ImVec4(0.04,  0.04,  0.04,  1.00)
	colors[clr.TitleBgActive]          = ImVec4(0.16,  0.29,  0.48,  1.00)
	colors[clr.TitleBgCollapsed]       = ImVec4(0.00,  0.00,  0.00,  0.51)
	colors[clr.MenuBarBg]              = ImVec4(0.14,  0.14,  0.14,  1.00)
	colors[clr.ScrollbarBg]            = ImVec4(0.02,  0.02,  0.02,  0.53)
	colors[clr.ScrollbarGrab]          = ImVec4(0.31,  0.31,  0.31,  1.00)
	colors[clr.ScrollbarGrabHovered]   = ImVec4(0.41,  0.41,  0.41,  1.00)
	colors[clr.ScrollbarGrabActive]    = ImVec4(0.51,  0.51,  0.51,  1.00)
	colors[clr.CheckMark]              = ImVec4(0.26,  0.59,  0.98,  1.00)
	colors[clr.SliderGrab]             = ImVec4(0.24,  0.52,  0.88,  1.00)
	colors[clr.SliderGrabActive]       = ImVec4(0.26,  0.59,  0.98,  1.00)
	colors[clr.Button]                 = ImVec4(0.26,  0.59,  0.98,  0.40)
	colors[clr.ButtonHovered]          = ImVec4(0.26,  0.59,  0.98,  1.00)
	colors[clr.ButtonActive]           = ImVec4(0.06,  0.53,  0.98,  1.00)
	colors[clr.Header]                 = ImVec4(0.26,  0.59,  0.98,  0.00)
	colors[clr.HeaderHovered]          = ImVec4(0.26,  0.59,  0.98,  0.80)
	colors[clr.HeaderActive]           = ImVec4(0.26,  0.59,  0.98,  1.00)
	colors[clr.Separator]              = colors[clr.Border]
	colors[clr.SeparatorHovered]       = ImVec4(0.26,  0.59,  0.98,  0.78)
	colors[clr.SeparatorActive]        = ImVec4(0.26,  0.59,  0.98,  1.00)
	colors[clr.ResizeGrip]             = ImVec4(0.26,  0.59,  0.98,  0.25)
	colors[clr.ResizeGripHovered]      = ImVec4(0.26,  0.59,  0.98,  0.67)
	colors[clr.ResizeGripActive]       = ImVec4(0.26,  0.59,  0.98,  0.95)
	colors[clr.CloseButton]            = ImVec4(0.41,  0.41,  0.41,  0.50)
	colors[clr.CloseButtonHovered]     = ImVec4(0.98,  0.39,  0.36,  1.00)
	colors[clr.CloseButtonActive]      = ImVec4(0.98,  0.39,  0.36,  1.00)
	colors[clr.PlotLines]              = ImVec4(0.61,  0.61,  0.61,  1.00)
	colors[clr.PlotLinesHovered]       = ImVec4(1.00,  0.43,  0.35,  1.00)
	colors[clr.PlotHistogram]          = ImVec4(0.90,  0.70,  0.00,  1.00)
	colors[clr.PlotHistogramHovered]   = ImVec4(1.00,  0.60,  0.00,  1.00)
	colors[clr.TextSelectedBg]         = ImVec4(0.26,  0.59,  0.98,  0.35)
	colors[clr.ModalWindowDarkening]   = ImVec4(0.80,  0.80,  0.80,  0.35)
end

